Bug 216120 - global symbol collisions
global symbol collisions
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
Blocks: 216170
  Show dependency treegraph
Reported: 2006-11-17 07:32 EST by Joe Orton
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.1.1-42
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-04 04:51:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2006-11-17 07:32:45 EST
Description of problem:
Global symbol collisions for /usr/lib/libgcj.so.7rh.0.0:
  with /usr/lib/libltdl.so.3.1.4 => lt_dlloader_find lt_dlinit (...29 symbols
omitted...) lt_dladderror
  with /usr/lib/libmp.so.3.1.7 => pow
  with /usr/lib/libmono.so.0.0.0 => GC_next_exclusion GC_new_free_list_inner
(...478 symbols omitted...) GC_print_heap_sects
  with /usr/lib/libgwrap-core-runtime.so.0.0.1 => ffi_type_void ffi_type_test
(...25 symbols omitted...) ffi_prep_closure


libgij also defines a main() but I presume that's intentional.

Note You need to log in before you can comment on or make changes to this bug.